## org.apache.cassandra.service
Class AntiEntropyService.TreeRequestVerbHandler

    java.lang.Object
      org.apache.cassandra.service.AntiEntropyService.TreeRequestVerbHandler

All Implemented Interfaces:
  ICompactSerializer<org.apache.cassandra.service.AntiEntropyService.CFPair>, IVerbHandler

Enclosing class:
  AntiEntropyService

    public static class AntiEntropyService.TreeRequestVerbHandler

extends java.lang.Object
implements IVerbHandler, ICompactSerializer<org.apache.cassandra.service.AntiEntropyService.CFPair>

Handler for requests from remote nodes to generate a valid tree. The payload is a CFPair representing the columnfamily to validate.

Field Summary
`static AntiEntropyService.TreeRequestVerbHandler` `SERIALIZER`

Constructor Summary
`AntiEntropyService.TreeRequestVerbHandler()`

Method Summary
`org.apache.cassandra.service.AntiEntropyService.CFPair` `deserialize(java.io.DataInputStream dis)` Deserialize into the specified DataInputStream instance.
`void` `doVerb(Message message)` Trigger a validation compaction which will return the tree upon completion.
`void` `serialize(org.apache.cassandra.service.AntiEntropyService.CFPair treerequest, java.io.DataOutputStream dos)` Serialize the specified type into the specified DataOutputStream instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZER

    public static final AntiEntropyService.TreeRequestVerbHandler SERIALIZER

Constructor Detail

### AntiEntropyService.TreeRequestVerbHandler

    public AntiEntropyService.TreeRequestVerbHandler()

Method Detail

### serialize

    public void serialize(org.apache.cassandra.service.AntiEntropyService.CFPair treerequest,
                          java.io.DataOutputStream dos)
                   throws java.io.IOException

  Description copied from interface: `ICompactSerializer`
  Serialize the specified type into the specified DataOutputStream instance.

  Specified by:
    `serialize` in interface `ICompactSerializer<org.apache.cassandra.service.AntiEntropyService.CFPair>`
  Parameters:
    `treerequest` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public org.apache.cassandra.service.AntiEntropyService.CFPair deserialize(java.io.DataInputStream dis)
                                                                       throws java.io.IOException

  Description copied from interface: `ICompactSerializer`
  Deserialize into the specified DataInputStream instance.

  Specified by:
    `deserialize` in interface `ICompactSerializer<org.apache.cassandra.service.AntiEntropyService.CFPair>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### doVerb

    public void doVerb(Message message)

  Trigger a validation compaction which will return the tree upon completion.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

Copyright © 2010 The Apache Software Foundation